RDF::Redland::LiteralNode(3pm)

NAME
RDF::Redland::LiteralNode - Redland RDF Literal Node Class

SYNOPSIS
  use RDF::Redland;
  my $node1=new RDF::Redland::LiteralNode("Hello, World!");
  my $node2=new RDF::Redland::LiteralNode("Bonjour monde!", undef, "fr");

DESCRIPTION
This class represents RDF literal and Typed Literals in the RDF graph. See RDF::Redland::Node for the methods on this object.

CONSTRUCTOR

new STRING [DATATYPE [XML_LANGUAGE]]
    Create a new literal node for a literal value STRING. Optional datatype URI DATATYPE (RDF::Redland::URI, perl URI or string) and language (xml:lang attribute) XML_LANGUAGE may also be given.

SEE ALSO
RDF::Redland::Node

AUTHOR
Dave Beckett - http://www.dajobe.org/